ReflectionClass::getStartLine
ReflectionClass::getStaticPropertyValue
ReflectionClass
PHP Manual

# ReflectionClass::getStaticProperties

(PHP 5)

ReflectionClass::getStaticProperties — Gets static properties

### Description

public array ReflectionClass::getStaticProperties ( void )

Get the static properties.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

The static properties, as an array.

### See Also

- ReflectionClass::getStaticPropertyValue() - Gets static property value
- ReflectionClass::setStaticPropertyValue() - Sets static property value

ReflectionClass::getStartLine
ReflectionClass::getStaticPropertyValue
ReflectionClass
PHP Manual